import{s as Ze,n as Ne,o as Ye}from"../chunks/scheduler.d6170356.js";import{S as Ge,i as Ve,g as i,s,r as De,A as Xe,h as n,f as o,c as l,j as Oe,u as Ue,x as a,k as Je,y as Ke,a as r,v as Re,d as Be,t as Fe,w as Ie}from"../chunks/index.fcd4cc08.js";import{g as Qe}from"../chunks/navigation.de936f60.js";import{C as et}from"../chunks/CodeBlock.7b16bdef.js";import{H as tt}from"../chunks/Heading.8660bd0e.js";function ot(me){let c,D,z,O,d,U,p,fe="Spaces are configured through the <code>YAML</code> block at the top of the <strong>README.md</strong> file at the root of the repository. All the accepted parameters are listed below.",J,u,he=`<strong><code>title</code></strong> : <em>string</em><br/>
Display title for the Space.`,R,m,ge=`<strong><code>emoji</code></strong> : <em>string</em><br/>
Space emoji (emoji-only character allowed).`,B,f,be=`<strong><code>colorFrom</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,F,h,ve=`<strong><code>colorTo</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,I,g,ye=`<strong><code>sdk</code></strong> : <em>string</em><br/>
Can be either <code>gradio</code>, <code>streamlit</code>, <code>docker</code>, or <code>static</code>.`,Z,b,Te=`<strong><code>python_version</code></strong>: <em>string</em><br/>
Any valid Python <code>3.x</code> or <code>3.x.x</code> version.<br/>
Defaults to <code>3.10</code>.`,N,v,Me=`<strong><code>sdk_version</code></strong> : <em>string</em><br/>
Specify the version of the selected SDK (Streamlit or Gradio).<br/>
All versions of Gradio are supported.<br/>
All versions of Streamlit from <code>0.79.0</code> are supported.`,Y,y,He=`<strong><code>suggested_hardware</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-gpus" rel="nofollow">hardware</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign an hardware to this Space.<br/>
Value must be a valid hardware flavor (e.g. <code>&quot;cpu-upgrade&quot;</code>, <code>&quot;t4-small&quot;</code>, <code>&quot;t4-medium&quot;</code>, <code>&quot;a10g-small&quot;</code>, <code>&quot;a10g-large&quot;</code>, <code>&quot;a10g-largex2&quot;</code>, <code>&quot;a10g-largex4&quot;</code> or <code>&quot;a100-large&quot;</code>).`,G,T,_e=`<strong><code>suggested_storage</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-storage" rel="nofollow">permanent storage</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign a permanent storage to this Space.<br/>
Value must be one of <code>&quot;small&quot;</code>, <code>&quot;medium&quot;</code> or <code>&quot;large&quot;</code>.`,V,M,Le=`<strong><code>app_file</code></strong> : <em>string</em><br/>
Path to your main application file (which contains either <code>gradio</code> or <code>streamlit</code> Python code, or <code>static</code> html code).<br/>
Path is relative to the root of the repository.`,X,H,we=`<strong><code>app_port</code></strong> : <em>int</em><br/>
Port on which your application is running. Used only if <code>sdk</code> is <code>docker</code>. Default port is <code>7860</code>.`,K,_,Se=`<strong><code>base_path</code></strong>: <em>string</em>
For non-static Spaces, initial url to render. Needs to start with <code>/</code>. For static Spaces, use <code>app_file</code> instead.`,Q,L,Pe=`<strong><code>fullWidth</code></strong>: <em>boolean</em><br/>
Whether your Space is rendered inside a full-width (when <code>true</code>) or fixed-width column (ie. “container” CSS) inside the iframe.
Defaults to false in <code>gradio</code>, and to true for other sdks.`,ee,w,xe=`<strong><code>models</code></strong> : <em>List[string]</em><br/>
HF model IDs (like <code>gpt2</code> or <code>deepset/roberta-base-squad2</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,te,S,Ce=`<strong><code>datasets</code></strong> : <em>List[string]</em><br/>
HF dataset IDs (like <code>common_voice</code> or <code>oscar-corpus/OSCAR-2109</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,oe,P,qe=`<strong><code>tags</code></strong> : <em>List[string]</em><br/>
List of terms that describe your Space task or scope.`,re,x,ke=`<strong><code>pinned</code></strong> : <em>boolean</em><br/>
Whether the Space stays on top of your profile. Can be useful if you have a lot of Spaces so you and others can quickly see your best Space.`,se,C,We=`<strong><code>hf_oauth</code></strong> : <em>boolean</em><br/>
Whether a connected OAuth app is associated to this Space. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your Space</a> for more details.`,le,q,je=`<strong><code>hf_oauth_redirect_path</code></strong> : <em>string</em><br/>
Authorized relative redirect path of the connected OAuth app. <code>/login/callback</code> and <code>/auth/callback</code> are authorized by default and do not need this parameter. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your space</a> for more details.`,ie,k,$e=`<strong><code>disable_embedding</code></strong> : <em>boolean</em><br/>
Whether the Space iframe can be embedded in other websites.
Defaults to false, i.e. Spaces <em>can</em> be embedded.`,ne,W,Ae=`<strong><code>startup_duration_timeout</code></strong>: <em>string</em><br/>
Set a custom startup duration timeout for your Space. This is the maximum time your Space is allowed to start before it times out and is flagged as unhealthy.
Defaults to 30 minutes, but any valid duration (like <code>1h</code>, <code>30m</code>) is acceptable.`,ae,j,ze=`<strong><code>custom_headers</code></strong> : <em>Dict[string, string]</em><br/>
Set custom HTTP headers that will be added to all HTTP responses when serving your Space.<br/>
For now, only the <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Embedder-Policy" rel="nofollow">cross-origin-embedder-policy</a> (COEP), <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Opener-Policy" rel="nofollow">cross-origin-opener-policy</a> (COOP), and <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Resource-Policy" rel="nofollow">cross-origin-resource-policy</a> (CORP) headers are allowed. These headers can be used to set up a cross-origin isolated environment and enable powerful features like <code>SharedArrayBuffer</code>, for example:`,ce,$,de,A,Ee="<em>Note:</em> all headers and values must be lowercase.",pe,E,ue;return d=new tt({props:{title:"Spaces Configuration Reference",local:"spaces-configuration-reference",headingTag:"h1"}}),$=new et({props:{code:"Y3VzdG9tX2hlYWRlcnMlM0ElMEElMjAlMjBjcm9zcy1vcmlnaW4tZW1iZWRkZXItcG9saWN5JTNBJTIwcmVxdWlyZS1jb3JwJTBBJTIwJTIwY3Jvc3Mtb3JpZ2luLW9wZW5lci1wb2xpY3klM0ElMjBzYW1lLW9yaWdpbiUwQSUyMCUyMGNyb3NzLW9yaWdpbi1yZXNvdXJjZS1wb2xpY3klM0ElMjBjcm9zcy1vcmlnaW4=",highlighted:`<span class="hljs-attr">custom_headers:</span>
  <span class="hljs-attr">cross-origin-embedder-policy:</span> <span class="hljs-string">require-corp</span>
  <span class="hljs-attr">cross-origin-opener-policy:</span> <span class="hljs-string">same-origin</span>
  <span class="hljs-attr">cross-origin-resource-policy:</span> <span class="hljs-string">cross-origin</span>`,wrap:!1}}),{c(){c=i("meta"),D=s(),z=i("p"),O=s(),De(d.$$.fragment),U=s(),p=i("p"),p.innerHTML=fe,J=s(),u=i("p"),u.innerHTML=he,R=s(),m=i("p"),m.innerHTML=ge,B=s(),f=i("p"),f.innerHTML=be,F=s(),h=i("p"),h.innerHTML=ve,I=s(),g=i("p"),g.innerHTML=ye,Z=s(),b=i("p"),b.innerHTML=Te,N=s(),v=i("p"),v.innerHTML=Me,Y=s(),y=i("p"),y.innerHTML=He,G=s(),T=i("p"),T.innerHTML=_e,V=s(),M=i("p"),M.innerHTML=Le,X=s(),H=i("p"),H.innerHTML=we,K=s(),_=i("p"),_.innerHTML=Se,Q=s(),L=i("p"),L.innerHTML=Pe,ee=s(),w=i("p"),w.innerHTML=xe,te=s(),S=i("p"),S.innerHTML=Ce,oe=s(),P=i("p"),P.innerHTML=qe,re=s(),x=i("p"),x.innerHTML=ke,se=s(),C=i("p"),C.innerHTML=We,le=s(),q=i("p"),q.innerHTML=je,ie=s(),k=i("p"),k.innerHTML=$e,ne=s(),W=i("p"),W.innerHTML=Ae,ae=s(),j=i("p"),j.innerHTML=ze,ce=s(),De($.$$.fragment),de=s(),A=i("p"),A.innerHTML=Ee,pe=s(),E=i("p"),this.h()},l(e){const t=Xe("svelte-u9bgzb",document.head);c=n(t,"META",{name:!0,content:!0}),t.forEach(o),D=l(e),z=n(e,"P",{}),Oe(z).forEach(o),O=l(e),Ue(d.$$.fragment,e),U=l(e),p=n(e,"P",{"data-svelte-h":!0}),a(p)!=="svelte-1rus8o"&&(p.innerHTML=fe),J=l(e),u=n(e,"P",{"data-svelte-h":!0}),a(u)!=="svelte-1o8zbi0"&&(u.innerHTML=he),R=l(e),m=n(e,"P",{"data-svelte-h":!0}),a(m)!=="svelte-1f0ocfz"&&(m.innerHTML=ge),B=l(e),f=n(e,"P",{"data-svelte-h":!0}),a(f)!=="svelte-qbm1rz"&&(f.innerHTML=be),F=l(e),h=n(e,"P",{"data-svelte-h":!0}),a(h)!=="svelte-1u1c3la"&&(h.innerHTML=ve),I=l(e),g=n(e,"P",{"data-svelte-h":!0}),a(g)!=="svelte-vqx1dg"&&(g.innerHTML=ye),Z=l(e),b=n(e,"P",{"data-svelte-h":!0}),a(b)!=="svelte-1djpop4"&&(b.innerHTML=Te),N=l(e),v=n(e,"P",{"data-svelte-h":!0}),a(v)!=="svelte-1q9ujtb"&&(v.innerHTML=Me),Y=l(e),y=n(e,"P",{"data-svelte-h":!0}),a(y)!=="svelte-1jo11dr"&&(y.innerHTML=He),G=l(e),T=n(e,"P",{"data-svelte-h":!0}),a(T)!=="svelte-1wd1r0k"&&(T.innerHTML=_e),V=l(e),M=n(e,"P",{"data-svelte-h":!0}),a(M)!=="svelte-10ue70i"&&(M.innerHTML=Le),X=l(e),H=n(e,"P",{"data-svelte-h":!0}),a(H)!=="svelte-np4by"&&(H.innerHTML=we),K=l(e),_=n(e,"P",{"data-svelte-h":!0}),a(_)!=="svelte-a0961b"&&(_.innerHTML=Se),Q=l(e),L=n(e,"P",{"data-svelte-h":!0}),a(L)!=="svelte-10nikp5"&&(L.innerHTML=Pe),ee=l(e),w=n(e,"P",{"data-svelte-h":!0}),a(w)!=="svelte-s0reay"&&(w.innerHTML=xe),te=l(e),S=n(e,"P",{"data-svelte-h":!0}),a(S)!=="svelte-1sc6yo3"&&(S.innerHTML=Ce),oe=l(e),P=n(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-1gxsj06"&&(P.innerHTML=qe),re=l(e),x=n(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-n0xeyu"&&(x.innerHTML=ke),se=l(e),C=n(e,"P",{"data-svelte-h":!0}),a(C)!=="svelte-8e9il"&&(C.innerHTML=We),le=l(e),q=n(e,"P",{"data-svelte-h":!0}),a(q)!=="svelte-1fx319r"&&(q.innerHTML=je),ie=l(e),k=n(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-1vor0c2"&&(k.innerHTML=$e),ne=l(e),W=n(e,"P",{"data-svelte-h":!0}),a(W)!=="svelte-107lckq"&&(W.innerHTML=Ae),ae=l(e),j=n(e,"P",{"data-svelte-h":!0}),a(j)!=="svelte-1vtuad"&&(j.innerHTML=ze),ce=l(e),Ue($.$$.fragment,e),de=l(e),A=n(e,"P",{"data-svelte-h":!0}),a(A)!=="svelte-1athwnk"&&(A.innerHTML=Ee),pe=l(e),E=n(e,"P",{}),Oe(E).forEach(o),this.h()},h(){Je(c,"name","hf:doc:metadata"),Je(c,"content",rt)},m(e,t){Ke(document.head,c),r(e,D,t),r(e,z,t),r(e,O,t),Re(d,e,t),r(e,U,t),r(e,p,t),r(e,J,t),r(e,u,t),r(e,R,t),r(e,m,t),r(e,B,t),r(e,f,t),r(e,F,t),r(e,h,t),r(e,I,t),r(e,g,t),r(e,Z,t),r(e,b,t),r(e,N,t),r(e,v,t),r(e,Y,t),r(e,y,t),r(e,G,t),r(e,T,t),r(e,V,t),r(e,M,t),r(e,X,t),r(e,H,t),r(e,K,t),r(e,_,t),r(e,Q,t),r(e,L,t),r(e,ee,t),r(e,w,t),r(e,te,t),r(e,S,t),r(e,oe,t),r(e,P,t),r(e,re,t),r(e,x,t),r(e,se,t),r(e,C,t),r(e,le,t),r(e,q,t),r(e,ie,t),r(e,k,t),r(e,ne,t),r(e,W,t),r(e,ae,t),r(e,j,t),r(e,ce,t),Re($,e,t),r(e,de,t),r(e,A,t),r(e,pe,t),r(e,E,t),ue=!0},p:Ne,i(e){ue||(Be(d.$$.fragment,e),Be($.$$.fragment,e),ue=!0)},o(e){Fe(d.$$.fragment,e),Fe($.$$.fragment,e),ue=!1},d(e){e&&(o(D),o(z),o(O),o(U),o(p),o(J),o(u),o(R),o(m),o(B),o(f),o(F),o(h),o(I),o(g),o(Z),o(b),o(N),o(v),o(Y),o(y),o(G),o(T),o(V),o(M),o(X),o(H),o(K),o(_),o(Q),o(L),o(ee),o(w),o(te),o(S),o(oe),o(P),o(re),o(x),o(se),o(C),o(le),o(q),o(ie),o(k),o(ne),o(W),o(ae),o(j),o(ce),o(de),o(A),o(pe),o(E)),o(c),Ie(d,e),Ie($,e)}}}const rt='{"title":"Spaces Configuration Reference","local":"spaces-configuration-reference","sections":[],"depth":1}';function st(me){return Ye(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Qe}),[]}class dt extends Ge{constructor(c){super(),Ve(this,c,st,ot,Ze,{})}}export{dt as component};
